2019-12-05 22:10 EST


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002903FSSCPFREDpublic2013-12-01 19:55
ReporterAxem 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.7.1 
Summary0002903: Up/Down buttons in Orientation Editor go the wrong way
DescriptionOpen the orientation editor on a ship and try pressing the buttons next to the position values. They... go the wrong way! Pressing up makes the value go lower. Pressing down makes the value go higher! Madness!
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0015200

z64555 (developer)

Last edited: 2013-07-20 14:56

View 2 revisions

I can confirm this behavior as far back as 3.6.14 RC6, RC1 doesn't seem to have it, though.

The bug might be in somebody's build library... I can't seem to find the handler for the editor's spin controls with only MSVC express.

~0015252

karajorma (administrator)

Fix committed to trunk@9753.

~0015481

niffiwan (developer)

Crediting karajorma
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-07-20 14:38 Axem New Issue
2013-07-20 14:43 z64555 Note Added: 0015200
2013-07-20 14:56 z64555 Note Edited: 0015200 View Revisions
2013-08-29 23:14 karajorma Changeset attached => fs2open trunk r9753
2013-08-29 23:14 karajorma Note Added: 0015252
2013-08-29 23:14 karajorma Status new => resolved
2013-08-29 23:14 karajorma Resolution open => fixed
2013-12-01 19:55 niffiwan Assigned To => karajorma
2013-12-01 19:55 niffiwan Note Added: 0015481
2013-12-01 19:55 niffiwan Status resolved => feedback
2013-12-01 19:55 niffiwan Resolution fixed => reopened
2013-12-01 19:55 niffiwan Status feedback => resolved
2013-12-01 19:55 niffiwan Fixed in Version => 3.7.1
2013-12-01 19:55 niffiwan Resolution reopened => fixed
+Issue History